Sales

Update sale

PATCH
/v3/aftermarket/customers/{customerId}/sales/{transactionId}

Update a sale's status with necessary information.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"
transactionId*string

Transaction ID of a sale

Header Parameters

X-Request-Id?string

A unique identifier for the request

Request Body

application/json
  1. body

SaleMinimal represents a minimal update to a sale transaction

authCode?string

Authorization code for transferring a domain

Response Body

Sale updated successfully

Example Request
curl -X PATCH 'https://api.afternic.com/v3/aftermarket/customers/my/sales/string' \  -H 'Content-Type: application/json' \  -d '{  "authCode": "abc123XYZ"}'
Example Response
Empty